/*!
 * This file is part of the DATAtourisme project.
 * 2022
 * @author Conjecto <contact@conjecto.com>
 * SPDX-License-Identifier: GPL-3.0-or-later
 * For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 */ 
.wizard-result-counter {
  font-size: 120%;
  font-weight: 300;
  &.busy {
    color:lighten($gray-base, 75%);
  }
  transition: color .1s ease-in-out;
  transition-delay: .1s;
}

.wizard-navigation-links {
  list-style: none;
  font-size:1.1em;
  padding-left: 0;

  > li {
    padding-bottom: 1.5rem;
    small {
      color: $gray-500;
    }
  }

  > li:not(:last-child) {
    border-bottom: 1px solid #d5dbdb;
  }

  > li + li {
    padding-top: .5rem;
  }

  > li.active {
    span {
      color: #000;
      font-weight: bold;
    }
  }

  > li.disabled {
    span {
      color:rgb(170, 183, 184)
    }
  }
}

.wizard-multiselect-widget {
  .checkbox-all {
    border-bottom: 1px solid $gray-lighter;
    padding-bottom: 10px; 
    margin-bottom: 10px;
    padding: 0 0 10px 0;
    label {
      font-weight: bold;
    }
  }
  .checkbox-category label {
    font-weight: bold;
  }
  li.indent {
    padding-left: 20px;
    margin-bottom: 2px;
  }
  ul {
    margin-bottom: 15px;
  }
}

.wizard-radio-wrapper {
  border:1px solid transparent;
  padding: 10px;
  .radio {
    padding:0
  }

  label {
    font-weight: bold;
  }

  .description {
    color:$gray-light
  }

  &.active {
    border-color: $blue-300;
    background-color: $blue-000;
    .description {
      color: $gray-900
    }
  }
}

.wizard-help {
  background: $gray-000;
  color: $gray-800;
  padding:5px;
  font-style: italic;
  .fa {
    margin-right: 3px;
    color: $gray-400; 
  }
}